List Image Series Discovered from FPP Server(s)

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/getFppSeries

Lists the image series present at a given FPP server or from all registered FPP servers

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Target details
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Ok. The FPP image series is retrieved.
Body ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : GoldImageFppSeries
Type: object
FPP image series Opt-In/Out details collection
Show Source
Nested Schema : items
Type: array
List of items
Show Source
Nested Schema : FppSeriesOptInSummary
Type: object
FPP Image Series Opt-In/Out details
Show Source
Examples

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top